2017-07-25 06:29 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003822Kali Linux[All Projects] Kali Package Bugpublic2017-03-27 12:56
ReporterTwo2FourPT 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003822: Kali Menus are missing with LXDE, after most recent update
DescriptionAfter performing 'apt-get update && apt-get dist-upgrade', the applications from the menu have disappeared. Only 'Run' and 'Logout' remain.
Steps To Reproduceapt-get update && apt-get dist-upgrade
Additional Informationuname -a:
Linux test 4.8.0-kali2-amd64 0000001 SMP Debian 4.8.15-1kali1 (2016-12-23)
Attached Files

-Relationships
has duplicate 0003868closedrhertzog LXDE menu missing after upgrading system - Kali Rolling 2016.2 
+Relationships

-Notes

~0006226

Two2FourPT (reporter)

Believe this is related, found in dmesg:

[ 513.384653] menu-cache-gen[1908]: segfault at 0 ip 00007f82f7a34f70 sp 00007ffc083ab690 error 4 in libfm-extra.so.4.0.5[7f82f7a31000+5000]
[ 571.799071] menu-cache-gen[2009]: segfault at 0 ip 00007f26b912cf70 sp 00007fff49e56cc0 error 4 in libfm-extra.so.4.0.5[7f26b9129000+5000]
[ 576.204471] menu-cache-gen[2015]: segfault at 0 ip 00007f344a509f70 sp 00007ffec82f6cc0 error 4 in libfm-extra.so.4.0.5[7f344a506000+5000]

~0006230

goldenite (reporter)

I can confirm that this is a problem when installing a fresh kali-linux-lxde-2017-W02-amd64.iso image

~0006250

vanguard (reporter)

I can also confirm this at a fresh built live image with LXDE environment.
Deinstalled and reinstalled LXDE with no success. Starting lxpanel manually in a shell is telling me, that is does not find desktop entries.

However, on a real and updated system the bug does not appear, I suppose, it might be "fixed" by some cached files.

~0006253

vanguard (reporter)

Yes! Deleting /root/.cache/menus* and starting LXDE will not rebuild the menus. As noted in my former post: The reason, why this bug does not appear on an older installed machine is the caching of the menus.

So this IS defintely a bug!

Hans

~0006257

vanguard (reporter)

The problem seems to be libfm-extra4. When you downgrade to this lib, the menus are back again.

Hans

~0006258

rhertzog (administrator)

Thanks for the investigation. Can you let us know which version of libfm-extra4 is working well and which is broken?

~0006259

vanguard (reporter)

Hi Raphael,

that was a quick response! Of course I can: The running version is 1.2.3-1 and the broken one is 1.2.5-1. I took them from debian ressources, as in kali only 1.2.5-1 is available. And I have to admit, that I only checked for i386. The amd64 is still not checked by me, but I will do it soonish. Report follows then.

Hans

~0006260

vanguard (reporter)

Hmm, checked now on amd64, but I could not create the error. At the moment I am using the broken version 1.2.5-1 (on debian/testing system), but I cannot verify the bug. I will boot to kali now (amd64) and search for an older KALI version of libfm-extra4, then install it and test again. Report follows.

Hans

~0006261

vanguard (reporter)

Ok, sorry for the delay. Just now tested on kali-linux amd64. I downgraded libfm-extra4 to version 1.2.4-1, which is the last kali version before the broken version 1.2.5-1.

In my former post, I mentioned 1.2.3-1, but ignore this, as it was tested with a pure debian system.

Conclusion:
libfm-extra4_1.2.4-1 is ok
libfm-extra4_1.2.5-1 is broken.

I suppose, kali and debian are using identical packages, but to make it sure, I checked on both systems. Also 32-bit and 64-bit versions are broken.

This also means: Building a livefile system with LXDE windowmanager will NOT work at the moment! I suggest to change to XFCE4 for now (tested=ok), if you want build for slower machines as I do.

Maybe the version 1.2.4-1 should be put in the repo, as long as the last version got this bug. So live images would be ok.

Best

Hans

~0006265

Two2FourPT (reporter)

Thank you all for your assistance in pinpointing the exact issue. @rhertzog - do you believe it would be possible to add 1.2.4-1 to the repo so that we can get working again? Thank you in advance!!

~0006266

vanguard (reporter)

The pronblem is, it will not help those people, who already got 1.2.5-1 installed, except the older version gets a newer version name.

However, it will help all people (like me), who are building a livefile kali with LXDE. At the moment, due to this bug, this is not possible. So I evaded to XFCE.

I am using an EEEPC, which is running on 1,66GHz, so LXDE is my first choice to get kali running fast.

Hans

~0006267

vanguard (reporter)

The pronblem is, it will not help those people, who already got 1.2.5-1 installed, except the older version gets a newer version name.

However, it will help all people (like me), who are building a livefile kali with LXDE. At the moment, due to this bug, this is not possible. So I evaded to XFCE.

I am using an EEEPC, which is running on 1,66GHz, so LXDE is my first choice to get kali running fast.

Hans

~0006268

broomdodger (reporter)

@Hans

I installed:

http://cdimage.kali.org/kali-images/kali-weekly/kali-linux-light-2017-W03-i386.iso

EEEPC 701
900 MHz CPU
4 GB SSD
1 GB RAM

I needed to add 'forcepae' to the installer.

Kali light is XFCE.
It runs great on this old/slow/small EEEPC.
Ethernet and WIFI work.
The SDCard slot works.
Everything works!

The SSD has 1.2 GB free out of the 4 GB!
+ enough to add a few tools using 'apt'.
+ vim dc openssh-server xfce4-cpugraph-plugin

I setup a crontab calling shell scripts with notify-send.

With SSH I can access servers I maintain.
And openssh-server can SSH into the EEEPC.

Using Firefox:
+ watch youtube videos and ted.com/talks
+ check gmail and google calendar

I very much like the kali 'light' XFCE version.
It is a great starting point to build out a system.

Bill

~0006269

vanguard (reporter)

Hi Bill,

I agree XFCE is nice, but IMHO LXDE is running a little bit faster than XFCE. I tested XFCE, LXDE and LXQT, but LXDE fit the best. However, I agree, XFCE and LXDE are close together in view of performance. On my system I can boot about 18 different OS'es from my SD-card (mostl are linuces, two are Windows based).
I am using XBOOT for it, as I can create categories with it (like "rescue", "pentest", "deaktop" whatever). It is similar to YUMI.

Everything is running in kali-linux on my EEEPC, and the wlan device is an Atheros card (good hacking tool).

I am building kali-linux several times a week. As I am German, it is German localized and added several tools, which are not in kali (like jNetmap or skype for example).

As I prefer LXDE, it is sad for me, that due to this bug it is not usable for my build (and of course, the next official kali-build LXDE will fail, too!).

Of course, I canb change to XFCE (that is what I am doing at the moment), but I am still looking for a fix in this lib to get my LXDE back. :)

Best regards

Hans

~0006274

vanguard (reporter)

Andriy Grytsenko from debian bug list wrote:

......
This is pretty much bad news, since libfm-extra4 was not changed at all
since version 1.2.0, so apparently something went bad in menu-cache-gen.
Only noticeable change was debug build was disabled, that makes it faster
but at cost - instead of tests and soft-failure a crash will appear.
......

OK, so, as the code was not changed, as he told, here is a workaround, if someone wants to build a kali-live-image with LXDE.

1. Download libfm-extra4-1.2.4-1 for your architecture from http://http.kali.org/kali

2. Extract the package by using dpkg-deb.

3. Edit debian/control and change the version from 1.2.4-1 to a higher version than 1.2.5-1 (I am using 1.2.5-2, as it is close to the prior version).

4. Repack the package again by using dpkg-deb.

5. Copy the new libfm-extra4-1.2.5-2.deb to ~live-build-config/config/packages-chroot/

6. Now build the new image. After booting it (either from CD, or as in my case from an USB-Stick), you see, the menus in LXDE are back!

Yeah!

Hope this helps.

Happy hacking

Hans

~0006275

Two2FourPT (reporter)

@vanguard - Thanks Hans! Sucks since I don't roll my own image for each build but rather update my baseline and capture the image as soon as I have tested my functionality after updating.

I am in the process of including 1.2.4-1 as 1.2.5-2 into the live build. I cannot find the ~live-build-config/config/packages-chroot directory as you mention, and as it is shown in the Debian Live Systems Manual. Perhaps the Kali guys have changed this location? Current structure shown at: http://git.kali.org/gitweb/?p=live-build-config.git;a=tree;hb=HEAD

Thanks in advance!

~0006276

Two2FourPT (reporter)

EDIT: So 0x06 (http://docs.kali.org/kali-dojo/02-mastering-live-build) suggests to create this directory, but mentions /packages.chroot, then gives the 'mkdir config/packages' command.

Is 'mkdir ~/live-build-config/config/packages.chroot' the appropriate action (directory and placement)? Thank.

~0006277

vanguard (reporter)

Just in short, what I do:

1. Boot a kali-live-build

2. Install live-build cdebootstrap and everything what is needed for building

3. Do a git install (just as the kali-website tells)

4. When you are in the live-build-config folder, do an "lb config". This will create the live-build folders.

5. Now you will find the ~/live-build-config/config/packages-chroot/ folder.

Hope this helps. Hint: You have to build in a real kali-environment. I am using the livefile. My own livefiles are built with all needed packages for building a new version (just including cdebootstrap, live-build, curl, git and language environment tools, like console-data)

Hope this helps.

Good luck

Hans

~0006288

Two2FourPT (reporter)

So it was actually easier for me to roll back to a previously captured image, and I used the following command (for anyone that needs to update and doesn't want their menus broke until this is fixed):

sudo apt-mark hold libfm-extra4


Thanks for your efforts Hans.

~0006416

rhertzog (administrator)

I opened a ticket upstream here: https://sourceforge.net/p/lxde/bugs/863/

~0006512

rhertzog (administrator)

I have just uploaded kali-menu 2017.1.2. Can you try again with that updated package and let me know if it fixes your problems ?

Thank you.

~0006513

vanguard (reporter)

Hi Raphael,
of course Iam happily pleased to help and test.However, please apologize, that thi swill last some time, as at the mment I have very poor bandwith available (about 45kB/s), which makes a download and build an image a pita.

Next month it will be better, and I hope, then I can report results. Also I will test your new live-build version you loaded up, which should fix another isse reported by me.

Sorry for the delay, but I ill report as fast as possible.

Anyway, thank you for your all your efforts.

Best

Hans
+Notes

-Issue History
Date Modified Username Field Change
2017-01-09 21:50 Two2FourPT New Issue
2017-01-09 21:56 Two2FourPT Note Added: 0006226
2017-01-11 00:01 goldenite Note Added: 0006230
2017-01-15 11:20 vanguard Note Added: 0006250
2017-01-15 12:47 vanguard Note Added: 0006253
2017-01-18 12:50 vanguard Note Added: 0006257
2017-01-18 12:54 rhertzog Assigned To => rhertzog
2017-01-18 12:54 rhertzog Status new => assigned
2017-01-18 12:56 rhertzog Note Added: 0006258
2017-01-18 13:29 vanguard Note Added: 0006259
2017-01-18 13:43 vanguard Note Added: 0006260
2017-01-18 14:04 vanguard Note Added: 0006261
2017-01-20 19:11 Two2FourPT Note Added: 0006265
2017-01-20 19:24 vanguard Note Added: 0006266
2017-01-20 19:30 vanguard Note Added: 0006267
2017-01-20 21:09 broomdodger Note Added: 0006268
2017-01-20 21:48 vanguard Note Added: 0006269
2017-01-23 15:08 vanguard Note Added: 0006274
2017-01-24 17:13 Two2FourPT Note Added: 0006275
2017-01-24 17:24 Two2FourPT Note Added: 0006276
2017-01-24 17:29 vanguard Note Added: 0006277
2017-01-30 17:05 Two2FourPT Note Added: 0006288
2017-02-08 08:23 rhertzog Relationship added has duplicate 0003868
2017-02-16 17:00 rhertzog Note Added: 0006416
2017-03-17 08:57 rhertzog Note Added: 0006512
2017-03-17 09:23 vanguard Note Added: 0006513
2017-03-27 12:56 rhertzog Status assigned => resolved
2017-03-27 12:56 rhertzog Resolution open => fixed
2017-03-27 12:56 rhertzog Fixed in Version => 2017.1
+Issue History